Friday, October 15, 2010

Google App Engine 0.0.18 gems released

We recently released the 0.0.18 google-appengine gem, which includes the 1.3.8 SDK. The admin console now provides information about application instances. See the 1.3.8 blog post for more information.
  • App Engine SDK updated to version 1.3.8
  • App Engine APIs updated to version 0.0.21
Rails and Datastore - Josh Moore recently pushed rails_dm_datastore 0.2.16, and appengine-paginator 0.1.3. DataMapper 1.0.0 is now supported by the adapter and the Rails 2.3.x setup script. I've also recently pushed dm-appengine 0.1.3, with required changes from Josh Moore.

Rails 2.3.10 - I updated the rails_appengine gem to support Rails 2.3.10. I will have a Rails 3.0 script shortly. App Engine will eventually provide hosted SQL, so we'll have support for ActiveRecord as well.

JRuby 1.5.5 - The JRuby team has released a new version of JRuby. We're using jruby-jars 1.5.5 in our demo Rails 2.3.x app, works great.

RubyConf - I've been busy with a side project, so I won't be able to present at RubyConf, but Nick Howard (@baroquebobcat) will be presenting on Mirah and Dubious. Bob Aman (@sporkmonger) will also be giving an App Engine update and show off the Ruby APIs he's been building for Google, including the signet gem for OAuth.

1 comment:

  1. This comment has been removed by the author.

    ReplyDelete